# Generated by Django 3.2 on 2022-03-15 09:54

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("datamodel", "0001_initial"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="verwerkingsactie",
            options={
                "ordering": ("-tijdstip",),
                "verbose_name": "Verwerkingsactie",
                "verbose_name_plural": "Verwerkingsacties",
            },
        ),
        migrations.AlterModelOptions(
            name="verwerktobject",
            options={
                "ordering": ("-verwerkingsactie__tijdstip", "verwerktObjectId"),
                "verbose_name": "Verwerkte object",
                "verbose_name_plural": "Verwerkte objecten",
            },
        ),
        migrations.AddField(
            model_name="verwerkingsactie",
            name="vervallen",
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name="verwerktobject",
            name="betrokkenheid",
            field=models.CharField(
                blank=True,
                help_text="Geeft aan in welke hoedanigheid de persoon of het object betrokken was bij de verwerkingsactie.",
                max_length=242,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="verwerktobject",
            name="objectId",
            field=models.CharField(
                blank=True,
                help_text="Identificator van het verwerkte object.",
                max_length=40,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="verwerktobject",
            name="objecttype",
            field=models.CharField(
                choices=[("persoon", "Persoon")],
                help_text="Soort object dat verwerkt is.",
                max_length=7,
            ),
        ),
        migrations.AlterField(
            model_name="verwerktobject",
            name="soortObjectId",
            field=models.CharField(
                help_text="Soort identificator waarmee het object geïdentificeerd wordt.",
                max_length=242,
            ),
        ),
        migrations.AlterField(
            model_name="verwerktobject",
            name="verwerkingsactie",
            field=models.ForeignKey(
                help_text="Een verwerkingsactie is een operatie die wordt uitgevoerd door een geautomatiseerd systeem waarbij er (persoons)gegevens verwerkt worden. Een verwerkingsactie wordt uitgevoerd als onderdeel van (een handeling van) een verwerking. De inzage van deze verwerkingsactie is beperkt in de zin dat gevoelige gegevens zoals systeem, gebruiker en gegevensbron zijn weggelaten.",
                on_delete=django.db.models.deletion.CASCADE,
                related_name="verwerkteObjecten",
                to="datamodel.verwerkingsactie",
            ),
        ),
    ]
